import { createTabs, importData } from "./lib.js";

export default function renderWelcomeScreen() {
    const system = game.modules.get("hobgoblin-blockade");
    const moduleId = system.id;
    const title = system.data.title;
    const moduleVersion = system.data.version;
    class WelcomeScreen extends Application {
        static get defaultOptions() {
            const options = super.defaultOptions;
            options.template = `modules/hobgoblin-blockade/template/welcome-screen.html`;
            options.resizable = false;
            options.width = 480;
            options.height = 790;
            options.classes = ["hobgoblin-blockade-screen"];
            options.title = `${title} - Welcome Screen`;

            return options;
        }

        getData() {
            let data = {title: title, moduleVersion: moduleVersion, isUnsupported: game.system.id === "pf2e" || game.system.id === "pf1"}
            return data
        }
        

        activateListeners(html) {
            super.activateListeners(html);
            this.createTabs($('html')[0])
            html.find('.import-data').on('click', ev => {
                importData();
            })
            html.find('.hobgoblin-blockade-screen-show-again').on('change', ev => {
                let val = false;
                if (ev.currentTarget.checked)
                    val = true;
                game.settings.set("hobgoblin-blockade", "imported-141-welcome",val);
            })
        }

        createTabs(html) {
            const __tabs = new TabsV2({navSelector: ".hobgoblin-blockade-tabs", contentSelector: ".hobgoblin-blockade-content", initial: "welcome", active: "welcome"});
            __tabs.bind(html);
        }


        
    }

    (new WelcomeScreen()).render(true);
}